<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@4014=19</action>
    </script>
  </cheat>

  <cheat desc="Invincibility - Player">
    <script state="on">
      <action>temp0 =maincpu.mb@9ABE</action>
      <action>temp1 =maincpu.mb@9C64</action>
    </script>
    <script state="run">
      <action>maincpu.mb@9ABE=60</action>
      <action>maincpu.mb@9C64=00</action> <!-- 1st = Spore of Death, 2nd = Monster -->
    </script>
    <script state="off">
      <action>maincpu.mb@9ABE=temp0 </action>
      <action>maincpu.mb@9C64=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Invincibility - Dwarf">
    <script state="on">
      <action>temp0 =maincpu.mb@9109</action>
    </script>
    <script state="run">
      <action>maincpu.mb@9109=60</action>
    </script>
    <script state="off">
      <action>maincpu.mb@9109=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@0245=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@0246=09</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
